/* This file is part of UProf.
 *
 * Copyright © 2010 Robert Bragg
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 */

#ifndef _UPROF_REPORT_PROXY_PRIVATE_H_
#define _UPROF_REPORT_PROXY_PRIVATE_H_

#include <glib.h>

#include <dbus/dbus-glib.h>

struct _UProfReportProxy
{
  int ref;

  char *bus_name;
  char *report_name;
  DBusGProxy *dbus_g_proxy;

  gboolean destroyed;

  int next_trace_message_filter_id;
  GList *trace_message_filters;
};

UProfReportProxy *
_uprof_report_proxy_new (const char *bus_name,
                         const char *report_name,
                         DBusGProxy *dbus_g_proxy);

#endif /* _UPROF_REPORT_PROXY_PRIVATE_H_ */

